Package org.apache.sysds.parser

# Interface ParseInfo

All Known Implementing Classes:
  `AggBinaryOp`, `AggUnaryOp`, `AssignmentStatement`, `BasicProgramBlock`, `BinaryExpression`, `BinaryOp`, `BooleanExpression`, `BooleanIdentifier`, `BuiltinFunctionExpression`, `ConditionalPredicate`, `ConstIdentifier`, `DataExpression`, `DataGenOp`, `DataIdentifier`, `DataOp`, `DnnOp`, `DoubleIdentifier`, `Expression`, `ExpressionList`, `ForProgramBlock`, `ForStatement`, `ForStatementBlock`, `FunctionCallIdentifier`, `FunctionOp`, `FunctionProgramBlock`, `FunctionStatement`, `FunctionStatementBlock`, `Hop`, `Identifier`, `IfProgramBlock`, `IfStatement`, `IfStatementBlock`, `ImportStatement`, `IndexedIdentifier`, `IndexingOp`, `IntIdentifier`, `IterablePredicate`, `LeftIndexingOp`, `ListIdentifier`, `LiteralOp`, `MetaDataAll`, `MultiAssignmentStatement`, `MultiThreadedHop`, `NaryOp`, `OutputStatement`, `ParameterizedBuiltinFunctionExpression`, `ParameterizedBuiltinOp`, `ParForProgramBlock`, `ParForStatement`, `ParForStatementBlock`, `PathStatement`, `PrintStatement`, `ProgramBlock`, `QuaternaryOp`, `RelationalExpression`, `ReorgOp`, `SpoofFusedOp`, `Statement`, `StatementBlock`, `StringIdentifier`, `TernaryOp`, `UnaryOp`, `WhileProgramBlock`, `WhileStatement`, `WhileStatementBlock`

public interface ParseInfo

## Method Summary

Modifier and Type
Method
Description
`static ParseInfo`
`ctxAndFilenameToParseInfo(org.antlr.v4.runtime.ParserRuleContext ctx, String fname)`
`int`
`getBeginColumn()`
`int`
`getBeginLine()`
`int`
`getEndColumn()`
`int`
`getEndLine()`
`String`
`getFilename()`
`String`
`getText()`
`void`
`setBeginColumn(int beginColumn)`
`void`
`setBeginLine(int beginLine)`
`void`
`setEndColumn(int endColumn)`
`void`
`setEndLine(int endLine)`
`void`
`setFilename(String filename)`
`void`
`setText(String text)`

## Method Details

### setBeginLine

void setBeginLine(int beginLine)

### setBeginColumn

void setBeginColumn(int beginColumn)

### setEndLine

void setEndLine(int endLine)

### setEndColumn

void setEndColumn(int endColumn)

### setText

void setText(String text)

### setFilename

void setFilename(String filename)

### getBeginLine

int getBeginLine()

### getBeginColumn

int getBeginColumn()

### getEndLine

int getEndLine()

### getEndColumn

int getEndColumn()

### getText

String getText()

### getFilename

String getFilename()

### ctxAndFilenameToParseInfo

static ParseInfo ctxAndFilenameToParseInfo(org.antlr.v4.runtime.ParserRuleContext ctx, String fname)